-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The Mandrake samba spec file used for packaging for Mandrake and cooker
is now also used by the makerpms.sh script, and you can pass any options
that you would normally pass to rpm via the makerpms.sh script.

Note that only release after 8.1 support passing options using 
"--with <option>" syntax. The following options are available when
building with the script:

- --with|--without ldap
- --with|--without acl
- --with|--without winbind
- --with|--without  wins
- --with vscan
Using "--with vscan" requires that you place a copy of the samba-vscan
tarball (coverted to bz2 using bzme) from:
http://prdownloads.sourceforge.net/openantivirus/samba-vscan-0.2.5a.tar.gz?download in your rpm source directory:

cp samba-vscan-0.2.5a.tar.gz `rpm --eval "%_sourcedir"`
bzme `rpm --eval "%_sourcedir"`/samba-vscan-0.2.5a.tar.gz

When using "--with vscan" you will probably want to enable a virus scanner
also:
- --with fprot
- --with kaspersky
- --with mks
- --with openantivirus
- --with sophos
- --with symantec
- --with trend

You may need to do additional setup for your virus scanner to get this to
work, please see ../../examples/VFS/<scanner>/INSTALL (after having started
a build with "sh makerpms.sh --with vscan")

Note that only sophos has been tested with the spec, but the rest should work
(after the preparation). Reports of working scanners are welcome, and please
report any that do not work (preferably with a fix :-)).

So, to build ldap-enable RPMs for with antivirus support with sophos, but
no acl support, use:
sh makerpms.sh --with ldap --with vscan --with sophos --without acl

The same features can be enabled on Mandrake 7.2/8.0 by editing samba2.spec, 
and changing the 0 to 1 to enable the option:

%if %build_mdk80
%define build_acl 0
%define build_winbind 0
%define build_wins 0
%define build_ldap 0
%endif

Similar sections exist for the virus scanning options.

(If you haven't rebuilt RPMs before, it is suggested that you take a
brief look through http://www.linux-mandrake.com/howtos/mdk-rpm/,
specifically sections 3.1 and 3.2)

The defaults for Mandrake 8.1 and 8.2 are shown below:
%if %build_mdk82
%define build_acl 1
%define build_winbind 1
%define build_wins 1
%define build_ldap 0
%endif

%if %build_mdk81
%define build_acl 1
%define build_winbind 0
%define build_wins 0
%define build_ldap 0
%endif

Note that building with LDAP support will only allow you to use smbpasswd's
stored in ldap, not in the local smbpasswd file. From 2.2.5 onwards in the 
2.2 tree, ldap-enable RPMs now carry an ldap modifier to indicate this (for
example, samba-server becomes samba-server-ldap).

Building with acl requires that you have the acl development libraries. 
The libraries are standard on 8.1 and 8.2.
ACLs can be used on Mandrake 8.0 with the updated kernel (to support XFS)
if you install the RPMs available at 
http://ranger.dnsalias.com/mandrake/samba/RPMS/8.0/samba-2.2.1a_xfs/

Note that precompiled binaries of samba are also available on my site:
http://ranger.dnsalias.com/mandrake/samba
and that of Sylvestre Taburet:
http://people.mandrakesoft.com/~staburet/samba/

If you have any problems with these RPMs, please send email to both
bgmilne@cae.co.za and staburet@mandrakesoft.com

These RPMs are provided as-is, are not official, and can not be 
supported by Mandrakesoft. However, we will do our best to provide
reliable and well-packaged RPMS, since we use them on our own servers
and those of clients.

This file is signed with my gpg key, a copy of my public key is available
at http://ranger.dnsalias.com/bgmilne.asc. The finger-print for this key 
follows:
1024D/60D204A7 2919 E232 5610 A038 87B1 72D6 AC92 BA50 60D2 04A7

Recent posts by me on samba@samba.org have been signed with this key,
in case you really want to verify who I am to some extent.

Buchan Milne
18 June 2002
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)

iD8DBQE9D2h3rJK6UGDSBKcRAhtJAKC0fVkIMETgRxccrwLBcKZKHllCIACeNcZ9
bxGZSTOHs57ir3wFR+3s0XM=
=ifKf
-----END PGP SIGNATURE-----
